<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

class DBWorkKurseTageWB extends DBWorkKurseTage
{
  public function __construct($pDBTyp = 1, $newInstance = false, $pAddKurstagWithSelectedStatus = true)
  {
    parent::__construct($pDBTyp, $newInstance, false, $pAddKurstagWithSelectedStatus);
    
    
    $this->dbwkurse = new DBWorkKurseINetAktivFilter($this->dbtyp, true);
    $this->dbwdozenten = new DBWorkDozentenOeffentlich($this->dbtyp, true);
  }

  
  public function getJoinPartner()
  {
    return " JOIN kurse k ON k.nr=kt.knr \n";
  }

  
  protected function beachteNoweb($sql, $praefix)
  {
    if (\System::isKuferSQL5()) {
      $ifnull = $this->dboperation->dbparser->isNull($praefix . 'noweb', '\'F\'');
      $sql .= ' AND NOT ' . $ifnull . ' = \'W\' ';
    }

    return $sql;
  }
}